#%run -i ./2um_RIXS_delaymap.py 

import time

# RIXS scans moving the 2 um delay

#gate_delay.set_target_value(100).wait()
caput("SLAAT31-LDIO-LAS6411:SET_BO02",1) ## laser shutter open
#caput("SLAAT31-LDIO-LAS6411:SET_BO02",0) ## laser shutter closed



## -50 ps
gate_delay.set_target_value(90.12).wait()
daq.acquire("RIXS_delay_90p12", n_pulses=30000, n_repeat=1, wait=True)

## -10 ps
gate_delay.set_target_value(96.13).wait()
daq.acquire("RIXS_delay_96p13", n_pulses=30000, n_repeat=1, wait=True)

## -2 ps
gate_delay.set_target_value(27.01).wait()
daq.acquire("RIXS_delay_27p01", n_pulses=30000, n_repeat=1, wait=True)

## 0.5 ps
gate_delay.set_target_value(97.71).wait()
daq.acquire("RIXS_delay_97p71", n_pulses=30000, n_repeat=1, wait=True)

## 0.7 ps
gate_delay.set_target_value(97.74).wait()
daq.acquire("RIXS_delay_97p74", n_pulses=30000, n_repeat=1, wait=True)

## 1.5 ps
gate_delay.set_target_value(97.86).wait()
daq.acquire("RIXS_delay_97p86", n_pulses=30000, n_repeat=1, wait=True)

## 5 ps
gate_delay.set_target_value(98.38).wait()
daq.acquire("RIXS_delay_98p38", n_pulses=30000, n_repeat=1, wait=True)

## 10 ps
gate_delay.set_target_value(99.13).wait()
daq.acquire("RIXS_delay_99p13", n_pulses=30000, n_repeat=1, wait=True)

## 20 ps
gate_delay.set_target_value(100.63).wait()
daq.acquire("RIXS_delay_100p63", n_pulses=30000, n_repeat=1, wait=True)

## 50 ps
gate_delay.set_target_value(105.14).wait()
daq.acquire("RIXS_delay_105p14", n_pulses=30000, n_repeat=1, wait=True)

## 100 ps
gate_delay.set_target_value(112.65).wait()
daq.acquire("RIXS_delay_112p65", n_pulses=30000, n_repeat=1, wait=True)

## 150 ps
gate_delay.set_target_value(120.15).wait()
daq.acquire("RIXS_delay_120p15", n_pulses=30000, n_repeat=1, wait=True)

## 200 ps
gate_delay.set_target_value(127.66).wait()
daq.acquire("RIXS_delay_127p66", n_pulses=30000, n_repeat=1, wait=True)











## -50 ps
gate_delay.set_target_value(90.12).wait()
daq.acquire("RIXS_delay_90p12", n_pulses=30000, n_repeat=1, wait=True)

## -10 ps
gate_delay.set_target_value(96.13).wait()
daq.acquire("RIXS_delay_96p13", n_pulses=30000, n_repeat=1, wait=True)

## -2 ps
gate_delay.set_target_value(27.01).wait()
daq.acquire("RIXS_delay_27p01", n_pulses=30000, n_repeat=1, wait=True)

## 0.5 ps
gate_delay.set_target_value(97.71).wait()
daq.acquire("RIXS_delay_97p71", n_pulses=30000, n_repeat=1, wait=True)

## 0.7 ps
gate_delay.set_target_value(97.74).wait()
daq.acquire("RIXS_delay_97p74", n_pulses=30000, n_repeat=1, wait=True)

## 1.5 ps
gate_delay.set_target_value(97.86).wait()
daq.acquire("RIXS_delay_97p86", n_pulses=30000, n_repeat=1, wait=True)

## 5 ps
gate_delay.set_target_value(98.38).wait()
daq.acquire("RIXS_delay_98p38", n_pulses=30000, n_repeat=1, wait=True)

## 10 ps
gate_delay.set_target_value(99.13).wait()
daq.acquire("RIXS_delay_99p13", n_pulses=30000, n_repeat=1, wait=True)

## 20 ps
gate_delay.set_target_value(100.63).wait()
daq.acquire("RIXS_delay_100p63", n_pulses=30000, n_repeat=1, wait=True)

## 50 ps
gate_delay.set_target_value(105.14).wait()
daq.acquire("RIXS_delay_105p14", n_pulses=30000, n_repeat=1, wait=True)

## 100 ps
gate_delay.set_target_value(112.65).wait()
daq.acquire("RIXS_delay_112p65", n_pulses=30000, n_repeat=1, wait=True)

## 150 ps
gate_delay.set_target_value(120.15).wait()
daq.acquire("RIXS_delay_120p15", n_pulses=30000, n_repeat=1, wait=True)

## 200 ps
gate_delay.set_target_value(127.66).wait()
daq.acquire("RIXS_delay_127p66", n_pulses=30000, n_repeat=1, wait=True)
















## -50 ps
gate_delay.set_target_value(90.12).wait()
daq.acquire("RIXS_delay_90p12", n_pulses=30000, n_repeat=1, wait=True)

## -10 ps
gate_delay.set_target_value(96.13).wait()
daq.acquire("RIXS_delay_96p13", n_pulses=30000, n_repeat=1, wait=True)

## -2 ps
gate_delay.set_target_value(27.01).wait()
daq.acquire("RIXS_delay_27p01", n_pulses=30000, n_repeat=1, wait=True)

## 0.5 ps
gate_delay.set_target_value(97.71).wait()
daq.acquire("RIXS_delay_97p71", n_pulses=30000, n_repeat=1, wait=True)

## 0.7 ps
gate_delay.set_target_value(97.74).wait()
daq.acquire("RIXS_delay_97p74", n_pulses=30000, n_repeat=1, wait=True)

## 1.5 ps
gate_delay.set_target_value(97.86).wait()
daq.acquire("RIXS_delay_97p86", n_pulses=30000, n_repeat=1, wait=True)

## 5 ps
gate_delay.set_target_value(98.38).wait()
daq.acquire("RIXS_delay_98p38", n_pulses=30000, n_repeat=1, wait=True)

## 10 ps
gate_delay.set_target_value(99.13).wait()
daq.acquire("RIXS_delay_99p13", n_pulses=30000, n_repeat=1, wait=True)

## 20 ps
gate_delay.set_target_value(100.63).wait()
daq.acquire("RIXS_delay_100p63", n_pulses=30000, n_repeat=1, wait=True)

## 50 ps
gate_delay.set_target_value(105.14).wait()
daq.acquire("RIXS_delay_105p14", n_pulses=30000, n_repeat=1, wait=True)

## 100 ps
gate_delay.set_target_value(112.65).wait()
daq.acquire("RIXS_delay_112p65", n_pulses=30000, n_repeat=1, wait=True)

## 150 ps
gate_delay.set_target_value(120.15).wait()
daq.acquire("RIXS_delay_120p15", n_pulses=30000, n_repeat=1, wait=True)

## 200 ps
gate_delay.set_target_value(127.66).wait()
daq.acquire("RIXS_delay_127p66", n_pulses=30000, n_repeat=1, wait=True)



















## -50 ps
gate_delay.set_target_value(90.12).wait()
daq.acquire("RIXS_delay_90p12", n_pulses=30000, n_repeat=1, wait=True)

## -10 ps
gate_delay.set_target_value(96.13).wait()
daq.acquire("RIXS_delay_96p13", n_pulses=30000, n_repeat=1, wait=True)

## -2 ps
gate_delay.set_target_value(27.01).wait()
daq.acquire("RIXS_delay_27p01", n_pulses=30000, n_repeat=1, wait=True)

## 0.5 ps
gate_delay.set_target_value(97.71).wait()
daq.acquire("RIXS_delay_97p71", n_pulses=30000, n_repeat=1, wait=True)

## 0.7 ps
gate_delay.set_target_value(97.74).wait()
daq.acquire("RIXS_delay_97p74", n_pulses=30000, n_repeat=1, wait=True)

## 1.5 ps
gate_delay.set_target_value(97.86).wait()
daq.acquire("RIXS_delay_97p86", n_pulses=30000, n_repeat=1, wait=True)

## 5 ps
gate_delay.set_target_value(98.38).wait()
daq.acquire("RIXS_delay_98p38", n_pulses=30000, n_repeat=1, wait=True)

## 10 ps
gate_delay.set_target_value(99.13).wait()
daq.acquire("RIXS_delay_99p13", n_pulses=30000, n_repeat=1, wait=True)

## 20 ps
gate_delay.set_target_value(100.63).wait()
daq.acquire("RIXS_delay_100p63", n_pulses=30000, n_repeat=1, wait=True)

## 50 ps
gate_delay.set_target_value(105.14).wait()
daq.acquire("RIXS_delay_105p14", n_pulses=30000, n_repeat=1, wait=True)

## 100 ps
gate_delay.set_target_value(112.65).wait()
daq.acquire("RIXS_delay_112p65", n_pulses=30000, n_repeat=1, wait=True)

## 150 ps
gate_delay.set_target_value(120.15).wait()
daq.acquire("RIXS_delay_120p15", n_pulses=30000, n_repeat=1, wait=True)

## 200 ps
gate_delay.set_target_value(127.66).wait()
daq.acquire("RIXS_delay_127p66", n_pulses=30000, n_repeat=1, wait=True)

















## -50 ps
gate_delay.set_target_value(90.12).wait()
daq.acquire("RIXS_delay_90p12", n_pulses=30000, n_repeat=1, wait=True)

## -10 ps
gate_delay.set_target_value(96.13).wait()
daq.acquire("RIXS_delay_96p13", n_pulses=30000, n_repeat=1, wait=True)

## -2 ps
gate_delay.set_target_value(27.01).wait()
daq.acquire("RIXS_delay_27p01", n_pulses=30000, n_repeat=1, wait=True)

## 0.5 ps
gate_delay.set_target_value(97.71).wait()
daq.acquire("RIXS_delay_97p71", n_pulses=30000, n_repeat=1, wait=True)

## 0.7 ps
gate_delay.set_target_value(97.74).wait()
daq.acquire("RIXS_delay_97p74", n_pulses=30000, n_repeat=1, wait=True)

## 1.5 ps
gate_delay.set_target_value(97.86).wait()
daq.acquire("RIXS_delay_97p86", n_pulses=30000, n_repeat=1, wait=True)

## 5 ps
gate_delay.set_target_value(98.38).wait()
daq.acquire("RIXS_delay_98p38", n_pulses=30000, n_repeat=1, wait=True)

## 10 ps
gate_delay.set_target_value(99.13).wait()
daq.acquire("RIXS_delay_99p13", n_pulses=30000, n_repeat=1, wait=True)

## 20 ps
gate_delay.set_target_value(100.63).wait()
daq.acquire("RIXS_delay_100p63", n_pulses=30000, n_repeat=1, wait=True)

## 50 ps
gate_delay.set_target_value(105.14).wait()
daq.acquire("RIXS_delay_105p14", n_pulses=30000, n_repeat=1, wait=True)

## 100 ps
gate_delay.set_target_value(112.65).wait()
daq.acquire("RIXS_delay_112p65", n_pulses=30000, n_repeat=1, wait=True)

## 150 ps
gate_delay.set_target_value(120.15).wait()
daq.acquire("RIXS_delay_120p15", n_pulses=30000, n_repeat=1, wait=True)

## 200 ps
gate_delay.set_target_value(127.66).wait()
daq.acquire("RIXS_delay_127p66", n_pulses=30000, n_repeat=1, wait=True)



















## -50 ps
gate_delay.set_target_value(90.12).wait()
daq.acquire("RIXS_delay_90p12", n_pulses=30000, n_repeat=1, wait=True)

## -10 ps
gate_delay.set_target_value(96.13).wait()
daq.acquire("RIXS_delay_96p13", n_pulses=30000, n_repeat=1, wait=True)

## -2 ps
gate_delay.set_target_value(27.01).wait()
daq.acquire("RIXS_delay_27p01", n_pulses=30000, n_repeat=1, wait=True)

## 0.5 ps
gate_delay.set_target_value(97.71).wait()
daq.acquire("RIXS_delay_97p71", n_pulses=30000, n_repeat=1, wait=True)

## 0.7 ps
gate_delay.set_target_value(97.74).wait()
daq.acquire("RIXS_delay_97p74", n_pulses=30000, n_repeat=1, wait=True)

## 1.5 ps
gate_delay.set_target_value(97.86).wait()
daq.acquire("RIXS_delay_97p86", n_pulses=30000, n_repeat=1, wait=True)

## 5 ps
gate_delay.set_target_value(98.38).wait()
daq.acquire("RIXS_delay_98p38", n_pulses=30000, n_repeat=1, wait=True)

## 10 ps
gate_delay.set_target_value(99.13).wait()
daq.acquire("RIXS_delay_99p13", n_pulses=30000, n_repeat=1, wait=True)

## 20 ps
gate_delay.set_target_value(100.63).wait()
daq.acquire("RIXS_delay_100p63", n_pulses=30000, n_repeat=1, wait=True)

## 50 ps
gate_delay.set_target_value(105.14).wait()
daq.acquire("RIXS_delay_105p14", n_pulses=30000, n_repeat=1, wait=True)

## 100 ps
gate_delay.set_target_value(112.65).wait()
daq.acquire("RIXS_delay_112p65", n_pulses=30000, n_repeat=1, wait=True)

## 150 ps
gate_delay.set_target_value(120.15).wait()
daq.acquire("RIXS_delay_120p15", n_pulses=30000, n_repeat=1, wait=True)

## 200 ps
gate_delay.set_target_value(127.66).wait()
daq.acquire("RIXS_delay_127p66", n_pulses=30000, n_repeat=1, wait=True)
























## -50 ps
gate_delay.set_target_value(90.12).wait()
daq.acquire("RIXS_delay_90p12", n_pulses=30000, n_repeat=1, wait=True)

## -10 ps
gate_delay.set_target_value(96.13).wait()
daq.acquire("RIXS_delay_96p13", n_pulses=30000, n_repeat=1, wait=True)

## -2 ps
gate_delay.set_target_value(27.01).wait()
daq.acquire("RIXS_delay_27p01", n_pulses=30000, n_repeat=1, wait=True)

## 0.5 ps
gate_delay.set_target_value(97.71).wait()
daq.acquire("RIXS_delay_97p71", n_pulses=30000, n_repeat=1, wait=True)

## 0.7 ps
gate_delay.set_target_value(97.74).wait()
daq.acquire("RIXS_delay_97p74", n_pulses=30000, n_repeat=1, wait=True)

## 1.5 ps
gate_delay.set_target_value(97.86).wait()
daq.acquire("RIXS_delay_97p86", n_pulses=30000, n_repeat=1, wait=True)

## 5 ps
gate_delay.set_target_value(98.38).wait()
daq.acquire("RIXS_delay_98p38", n_pulses=30000, n_repeat=1, wait=True)

## 10 ps
gate_delay.set_target_value(99.13).wait()
daq.acquire("RIXS_delay_99p13", n_pulses=30000, n_repeat=1, wait=True)

## 20 ps
gate_delay.set_target_value(100.63).wait()
daq.acquire("RIXS_delay_100p63", n_pulses=30000, n_repeat=1, wait=True)

## 50 ps
gate_delay.set_target_value(105.14).wait()
daq.acquire("RIXS_delay_105p14", n_pulses=30000, n_repeat=1, wait=True)

## 100 ps
gate_delay.set_target_value(112.65).wait()
daq.acquire("RIXS_delay_112p65", n_pulses=30000, n_repeat=1, wait=True)

## 150 ps
gate_delay.set_target_value(120.15).wait()
daq.acquire("RIXS_delay_120p15", n_pulses=30000, n_repeat=1, wait=True)

## 200 ps
gate_delay.set_target_value(127.66).wait()
daq.acquire("RIXS_delay_127p66", n_pulses=30000, n_repeat=1, wait=True)



















## -50 ps
gate_delay.set_target_value(90.12).wait()
daq.acquire("RIXS_delay_90p12", n_pulses=30000, n_repeat=1, wait=True)

## -10 ps
gate_delay.set_target_value(96.13).wait()
daq.acquire("RIXS_delay_96p13", n_pulses=30000, n_repeat=1, wait=True)

## -2 ps
gate_delay.set_target_value(27.01).wait()
daq.acquire("RIXS_delay_27p01", n_pulses=30000, n_repeat=1, wait=True)

## 0.5 ps
gate_delay.set_target_value(97.71).wait()
daq.acquire("RIXS_delay_97p71", n_pulses=30000, n_repeat=1, wait=True)

## 0.7 ps
gate_delay.set_target_value(97.74).wait()
daq.acquire("RIXS_delay_97p74", n_pulses=30000, n_repeat=1, wait=True)

## 1.5 ps
gate_delay.set_target_value(97.86).wait()
daq.acquire("RIXS_delay_97p86", n_pulses=30000, n_repeat=1, wait=True)

## 5 ps
gate_delay.set_target_value(98.38).wait()
daq.acquire("RIXS_delay_98p38", n_pulses=30000, n_repeat=1, wait=True)

## 10 ps
gate_delay.set_target_value(99.13).wait()
daq.acquire("RIXS_delay_99p13", n_pulses=30000, n_repeat=1, wait=True)

## 20 ps
gate_delay.set_target_value(100.63).wait()
daq.acquire("RIXS_delay_100p63", n_pulses=30000, n_repeat=1, wait=True)

## 50 ps
gate_delay.set_target_value(105.14).wait()
daq.acquire("RIXS_delay_105p14", n_pulses=30000, n_repeat=1, wait=True)

## 100 ps
gate_delay.set_target_value(112.65).wait()
daq.acquire("RIXS_delay_112p65", n_pulses=30000, n_repeat=1, wait=True)

## 150 ps
gate_delay.set_target_value(120.15).wait()
daq.acquire("RIXS_delay_120p15", n_pulses=30000, n_repeat=1, wait=True)

## 200 ps
gate_delay.set_target_value(127.66).wait()
daq.acquire("RIXS_delay_127p66", n_pulses=30000, n_repeat=1, wait=True)


















## -50 ps
gate_delay.set_target_value(90.12).wait()
daq.acquire("RIXS_delay_90p12", n_pulses=30000, n_repeat=1, wait=True)

## -10 ps
gate_delay.set_target_value(96.13).wait()
daq.acquire("RIXS_delay_96p13", n_pulses=30000, n_repeat=1, wait=True)

## -2 ps
gate_delay.set_target_value(27.01).wait()
daq.acquire("RIXS_delay_27p01", n_pulses=30000, n_repeat=1, wait=True)

## 0.5 ps
gate_delay.set_target_value(97.71).wait()
daq.acquire("RIXS_delay_97p71", n_pulses=30000, n_repeat=1, wait=True)

## 0.7 ps
gate_delay.set_target_value(97.74).wait()
daq.acquire("RIXS_delay_97p74", n_pulses=30000, n_repeat=1, wait=True)

## 1.5 ps
gate_delay.set_target_value(97.86).wait()
daq.acquire("RIXS_delay_97p86", n_pulses=30000, n_repeat=1, wait=True)

## 5 ps
gate_delay.set_target_value(98.38).wait()
daq.acquire("RIXS_delay_98p38", n_pulses=30000, n_repeat=1, wait=True)

## 10 ps
gate_delay.set_target_value(99.13).wait()
daq.acquire("RIXS_delay_99p13", n_pulses=30000, n_repeat=1, wait=True)

## 20 ps
gate_delay.set_target_value(100.63).wait()
daq.acquire("RIXS_delay_100p63", n_pulses=30000, n_repeat=1, wait=True)

## 50 ps
gate_delay.set_target_value(105.14).wait()
daq.acquire("RIXS_delay_105p14", n_pulses=30000, n_repeat=1, wait=True)

## 100 ps
gate_delay.set_target_value(112.65).wait()
daq.acquire("RIXS_delay_112p65", n_pulses=30000, n_repeat=1, wait=True)

## 150 ps
gate_delay.set_target_value(120.15).wait()
daq.acquire("RIXS_delay_120p15", n_pulses=30000, n_repeat=1, wait=True)

## 200 ps
gate_delay.set_target_value(127.66).wait()
daq.acquire("RIXS_delay_127p66", n_pulses=30000, n_repeat=1, wait=True)

















## -50 ps
gate_delay.set_target_value(90.12).wait()
daq.acquire("RIXS_delay_90p12", n_pulses=30000, n_repeat=1, wait=True)

## -10 ps
gate_delay.set_target_value(96.13).wait()
daq.acquire("RIXS_delay_96p13", n_pulses=30000, n_repeat=1, wait=True)

## -2 ps
gate_delay.set_target_value(27.01).wait()
daq.acquire("RIXS_delay_27p01", n_pulses=30000, n_repeat=1, wait=True)

## 0.5 ps
gate_delay.set_target_value(97.71).wait()
daq.acquire("RIXS_delay_97p71", n_pulses=30000, n_repeat=1, wait=True)

## 0.7 ps
gate_delay.set_target_value(97.74).wait()
daq.acquire("RIXS_delay_97p74", n_pulses=30000, n_repeat=1, wait=True)

## 1.5 ps
gate_delay.set_target_value(97.86).wait()
daq.acquire("RIXS_delay_97p86", n_pulses=30000, n_repeat=1, wait=True)

## 5 ps
gate_delay.set_target_value(98.38).wait()
daq.acquire("RIXS_delay_98p38", n_pulses=30000, n_repeat=1, wait=True)

## 10 ps
gate_delay.set_target_value(99.13).wait()
daq.acquire("RIXS_delay_99p13", n_pulses=30000, n_repeat=1, wait=True)

## 20 ps
gate_delay.set_target_value(100.63).wait()
daq.acquire("RIXS_delay_100p63", n_pulses=30000, n_repeat=1, wait=True)

## 50 ps
gate_delay.set_target_value(105.14).wait()
daq.acquire("RIXS_delay_105p14", n_pulses=30000, n_repeat=1, wait=True)

## 100 ps
gate_delay.set_target_value(112.65).wait()
daq.acquire("RIXS_delay_112p65", n_pulses=30000, n_repeat=1, wait=True)

## 150 ps
gate_delay.set_target_value(120.15).wait()
daq.acquire("RIXS_delay_120p15", n_pulses=30000, n_repeat=1, wait=True)

## 200 ps
gate_delay.set_target_value(127.66).wait()
daq.acquire("RIXS_delay_127p66", n_pulses=30000, n_repeat=1, wait=True)










