#Channels
channels = [
    "SATES30-LSCP10:CH0:1",
    "SATES30-LSCP10:CH1:1",
    "SATES30-LSCP10:CH2:1",
    "SATES30-LSCP10:CH3:1",
    "SLAAT31-LTIM01-EVR0:CALCV",
    "SATFE10-PEPG046:FCUP-INTENSITY-CAL",
    "SATFE10-PEPG046-EVR0:CALCI",
    "SATFE10-PEPG046:PHOTON-ENERGY-PER-PULSE-AVG",
    "SATES30-LSCP10-FNS:CH0:VAL_GET",
    "SATES30-LSCP10-FNS:CH1:VAL_GET",
    "SATES30-LSCP10-FNS:CH2:VAL_GET",
    "SATES30-LSCP10-FNS:CH3:VAL_GET",
    "SATES30-LSCP10-FNS:CH4:VAL_GET",
    "SATOP31-PMOS132-2D:SPECTRUM_CENTER",
    "SATOP31-PMOS132-2D:SPECTRUM_FWHM",
    "SATOP31-PMOS132-2D:SPECTRUM_X",
    "SATOP31-PMOS132-2D:SPECTRUM_Y",
 #   "SATOP31-PMOS132-2D:FPICTURE",
    "SATOP31-PMOS132-2D:processing_parameters",
#    "SATES30-CVME-EVR0:CALCS",
#    "SATES30-LSCP10-FNS:CH0:WFMi",
#    "SATES31-CAMS187-RIXS1:SPC",
#    "SATES31-CAMS187-RIXS1:SPC_gauss",
#    "SATES31-CAMS187-RIXS1:SPC_wgt",
#    "SATES31-CAMS187-RIXS1:Spectrum",
#    "SATES31-CAMS187-RIXS1:evt_list",
    #"SATES30-RIXS-CAM01:FPICTURE",
    "SATES30-RIXS-CAM01:EVENT_NUM",
    "SATES30-RIXS-CAM01:EVENT_CHARGE",
    "SATES30-RIXS-CAM01:EVENT_I",
    "SATES30-RIXS-CAM01:EVENT_J",
    "SATES30-RIXS-CAM01:EVENT_I_INTERP",
    "SATES30-RIXS-CAM01:EVENT_J_INTERP",
    "SATES30-RIXS-CAM01:EVENT_ETA_X",
    "SATES30-RIXS-CAM01:EVENT_ETA_Y",
    #"SATES30-CAMS182-GIGE2:FPICTURE",
    #"SATES31-CAMS187-RIXS1:FPICTURE",
    "SATES31-CAMS187-RIXS1:x_profile",
#    "SATES31-CAMS187-RIXS1:y_profile",
    "SATES31-CAMS187-RIXS1:intensity",
    "SATES30-CVME-EVR0:DUMMY_PV1_NBS",
    "SATES30-CVME-EVR0:DUMMY_PV2_NBS",
    "SATES30-CVME-EVR0:DUMMY_PV3_NBS",
    "SATES30-CVME-EVR0:DUMMY_PV4_NBS",
    "SATES30-CVME-EVR0:DUMMY_PV5_NBS",
    "SATES30-CVME-EVR0:DUMMY_PV6_NBS",
    "SATES30-CVME-EVR0:DUMMY_PV7_NBS",
    "SATES30-CVME-EVR0:DUMMY_PV8_NBS",
    "SATES30-CVME-EVR0:DUMMY_PV9_NBS",
    "SATES30-CVME-EVR0:DUMMY_PV10_NBS",
    "SATES30-CVME-EVR0:CALCY",
    "SLAAT31-LSCP1-FNS:CH0:VAL_GET",     #2um beam intensity (out of vacuum)
    "SLAAT31-LSCP1-FNS:CH1:VAL_GET",
    "SLAAT31-LSCP1-FNS:CH2:VAL_GET",
    "SLAAT31-LSCP1-FNS:CH3:VAL_GET",
    "SLAAT31-LSCP1-FNS:CH4:VAL_GET",
    "SLAAT31-LTIM01-EVR0:CALCI",
    "SLAAT31-LTIM01-EVR0:CALCS",
    "SLAAT31-LTIM01-EVR0:CALCU",
    "SLAAT01-LCAM-C603:FPICTURE",
    "SLAAT01-LCAM-C604:FPICTURE",
    "SLAAT31-LCAM-C805:FPICTURE",     # test spatial encoding
    #"SATOP11-PSAS079:FPICTURE",
    "SAT-CVME-TIFALL5:EvtSet",
    "SAT-CVME-TIFALL6:EvtSet",
    "SATOP31-PMOS132-2D:SPECTRUM_X",
    "SATOP31-PMOS132-2D:SPECTRUM_Y", 
    "SATOP11-PSAS079:SPECTRUM_X",
    "SATOP11-PSAS079:SPECTRUM_Y", 
    "SATOP11-PSAS079:SPECTRUM_Y_SUM"
]

pvs = [
    "SIN-LPOSIC1:POS1",
    "SIN-LPOSIC1:POS2",
    "SIN-LPOSIC2:POS1",
    "SIN-LPOSIC2:POS2",
    #"SATFE10-PEPG046:PHOTON-ENERGY-PER-PULSE-AVG",
    "SLAAT01-TLSY-EPL:GEN-ADC-1-6",
    "SLAAT01-TLSY-EPL:GEN-ADC-1-0",
    "SLAAT01-TLSY-EPL:GEN-DAC-5-4",
    "SLAAT01-TLSY-EPL:PIDOUTMON",
    "SLAAT01-LI2C01_CH1:TEMP",
    "SLAAT01-LI2C01_CH1:HUMIREL",
    "SLAAT01-LI2C01_CH1:PRES",
    "SATOP31-OKBV178:BU.RBV",
    "SATOP31-OKBV178:BD.RBV",
    "SATOP31-OKBH179:W_RY.RBV",
    "SATOP31-OKBH179:BU.RBV",
    "SATOP31-OKBH179:BD.RBV",
    "SATOP31-OKBV178:W_RX.RBV",
    "SATUN13-UIND030:POL-SET",
    "SATES30-ARES:MOT_2TRY.RBV",
    "SATES30-ARES:MOT_DRY.RBV",
    "SATES30-ARES:MOT_STX.RBV",
    "SATES30-ARES:MOT_STY.RBV",
    "SATES30-ARES:MOT_STZ.RBV",
    "SATES30-ARES:MOT_SRX.RBV",
    "SATES30-ARES:MOT_SRY.RBV",
    "SATES30-ARES:MOT_SRZ.RBV",
    "SLAAT31-LMOT-M801:MOT.RBV",
    #"SLAAT31-LMOT-M802:MOT.RBV",
    #"SLAAT31-LMOT-M803:MOT.RBV",
    #"SLAAT31-LMOT-M804:MOT.RBV",
    "SLAAT31-LDIO-LAS6411:SET_BO02", ## new
    "SLAAT31-LDIO-LAS6411:SET_BO03",
    "SLAAT31-LMOT-M805:MOT.RBV",
    "SLAAT31-LMOT-M806:MOT.RBV",
    "SLAAT31-LMOT-M807:MOT.RBV",
    "SLAAT31-LMOT-M808:MOT.RBV",
    "SLAAT31-LMOT-M809:MOT.RBV",
    "SATOP11-OSGM087:exitslit",
    "SATOP11-OSGM087:photonenergy",
    "SATUN:FELPHOTENE",
    "SATFE10-OGAT053:transmission",
    "SATES30-LS336:C_RBV",
    "SATES30-LS336:A_RBV",
    "SATES30-LS336:B_RBV",
    "SATES30-LS336:D_RBV",
    "SLAAT01-LTIM-PDLY:DELAY",
    "SLAAT-LGEN:DLY_OFFS1",
    "SLAAT01-LTIM-PDLY:DELAY_Z_OFFS"
   # "SATOP21-PMOS127-2D:SPECTRUM_X",
    #"SATOP21-PMOS127-2D:SPECTRUM_Y",
    #"SATOP11-PSAS079:SPECTRUM_X",
    #"SATOP11-PSAS079:SPECTRUM_Y",
    #"SATES30-CAMS182-GIGE1_sp1:x_center_of_mass",
    #"SATES30-CAMS182-GIGE1_sp1:y_center_of_mass",
    #"SLAAT31-LCAM-C801:FIT-XPOS_EGU",
    #"SLAAT31-LCAM-C801:FIT-YPOS_EGU",
#    "SLAAT31-LCAM-C801:FIT-XEGU-ARRAY",
    "SATES30-RIXS-CAM01:cam1:AcquireTime_RBV",
    "SATES30-RIXS-CAM01:cam1:Temperature_RBV",
    "SLAAT31-LCAM-C805:FIT-XPOS",     # 2um X
    "SLAAT31-LCAM-C805:FIT-YPOS",     # 2um Y
    "SLAAT31-LCAM-C805:INTEGRAL_AVE", # 2 um intensity (image intergral)
    "SLAAT31-LCAM-C805:FIT-XWID",     # 2um width X
    "SLAAT31-LCAM-C805:FIT-YWID",     # 2um width Y
    #"SLAAT31-LCAM-C802:FIT-XPOS_EGU",
    #"SLAAT31-LCAM-C802:FIT-YPOS_EGU",
    "SATES30-RIXS-CAM01:cam1:MinX_RBV",
    "SATES30-RIXS-CAM01:cam1:SizeX_RBV",
    "SATES30-RIXS-CAM01:cam1:MinY_RBV",
    "SATES30-RIXS-CAM01:cam1:SizeY_RBV",
    "SLAAT31-LMOT-M816:MOT.RBV",
#    "SLAAT31-LCAM-C802:FIT-XEGU-ARRAY",
    #"SATES30-CAMS182-GIGE2_sp1:x_center_of_mass",
    #"SATES30-CAMS182-GIGE2_sp1:y_center_of_mass",
    "SATES30-RIXS:MOT_FT.RBV",
    "SATES30-RIXS:MOT_RY.RBV",
    "SATES30-RIXS:MOT_RRY1.RBV",
    "SATES30-RIXS:MOT_GTY1.RBV",
    "SATES30-RIXS:MOT_MT.RBV",
    "SATES30-RIXS:MOT_GTX.RBV",
    "SATES30-RIXS:MOT_GTZ.RBV",
    "SATES30-RIXS:MOT_GRX.RBV",
    "SATES30-RIXS:MOT_DTY1.RBV",
    "SATES30-RIXS:MOT_DTZ.RBV",
    "SATES30-RIXS:MOT_DRX.RBV", 
    "SATES30-ARES:MOT_JFRY.RBV", #Jungfrau detector 2theta
    "SATOP11-PSAS079:MOT_UG_X.RBV", 
    "SATOP11-PSAS079:MOT_UG_Y.RBV", 
    "SATOP11-PSAS079:MOT_UG_Z.RBV", 
    "SATOP11-PSAS079:MOT_DG_X.RBV", 
    "SATOP11-PSAS079:MOT_DG_Y.RBV", 
    "SATOP11-PSAS079:MOT_DG_Z.RBV", 
    "SATOP11-PSAS079:MOT_DG_RZ.RBV", 
    "SATOP11-PSAS079:MOT_DDC_Y.RBV",
    "SATOP11-PSAS079:MOT_DDCAM_Y.RBV", 
    "SATOP11-PSAS079:MOT_DDF_X.RBV", 
    "SATOP11-PSAS079:MOT_DDC_RX.RBV", 
    "SATOP11-PSAS079:MOT_DDC_X.RBV", 
    "SATOP11-PSAS079:MOT_DDS_Y1.RBV", 
    "SATOP11-PSAS079:MOT_DDS_Y2.RBV",
    "SLAAT01-TLSY-EPL:JITTERMON",
    "SATOP11-OSGM087:ENCA_GR1", #Encoder on mono grating pitch 
    "SATOP11-OSGM087:ENCA_GR2", #Encoder on mono grating pitch 
    "SLAAT31-LMOT-M813:MOT.RBV",
    "SATOP11-OSGM087:ENCA_MR1", #Encoder on mono grating pitch 
    "SATOP11-OSGM087:ENCA_MR2", #Encoder on mono grating pitch
    "SATES30-MCS003:MOT_2.RBV", #I0 up down
    "SATES30-MCS003:MOT_1.DESC",#I0 left right 
    "SATES30-ACSFM:AlphaCalc1_RBV", # M1 pitch
    "SATES30-ACSFM:BetaCalc1_RBV",  # M1 roll
    "SATES30-ACSFM:TransCalc1_RBV", # M1 Tx
    "SATES30-ACSFM:AlphaCalc2_RBV", # M2 pitch
    "SATES30-ACSFM:BetaCalc2_RBV",  # M2 roll
    "SATES30-ACSFM:TransCalc2_RBV", # M2 Tx
    "SATES30-ACSFM:MOT_TZ.RBV",     # Mirrors Z-trans
    "SATES30-ACSFM:MOT_MASK.RBV",   # Mask
    "SLAAT01-LTIM-PDLY:EVR_LASER_NS",
    "SATOP11-OAPU089:MOTOR_H.RBV",
    "SATOP11-OSGM087:stretch", #mono pulse stretching (estimate)
]

